Removes a group of patient IDs from the patient filter for the data store. Patient filters are empty by default when a data store is created, and are stored in a separate table. The data store must first be created, and must be a healthcare data store. This method will fail if the data store does not have a patient filter. The filter group must be a FHIR resource name of type Group, and the list of patient IDs to remove will be constructed from the direct members of the group which are Patient resources.
HTTP request
POST https://discoveryengine.googleapis.com/v1alpha/{dataStore=projects/*/locations/*/dataStores/*}:removePatientFilter
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
dataStore |
Required. Full resource name of If the caller does not have permission to access the If the requested |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "filterGroups": [ string ] } |
| Fields | |
|---|---|
filterGroups[] |
Required. Names of the Group resources to use as a basis for the list of patients to remove from the patient filter, in format |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.